Subject: Re: Request for unicore32 architecture codes to merge into linux-next

From: Paul Mundt <[email-masked]>
Date: Tue, 18 Jan 2011 18:10:32 +0900

On Tue, Jan 18, 2011 at 05:07:41PM +0800, Guan Xuetao wrote:
> IMO, the whole architecture specific codes need to be merged first, and only some
> necessary drivers are included under staging. Then, I could split the staging drivers
> into corresponding mail-list, and then, additional drivers.
> Otherwise, there are no architecture basic for drivers review.
> 
That's of course fine so long as the driver changes are reasonably
self-contained. The situation we want to avoid is that you end up with
drivers that depend on some private infrastructure of API where not
enough context is provided when the two are decoupled. 

In any event, the architecture bits are the most self-contained and have
had the most review of anything in this series of patches, so it probably
makes sense to work on getting those bits integrated and then dealing
with the rest incrementally.